Subject: Re: problem with symbolic links across filesystems
From: [email-masked] (Christopher G. Faylor)

21 Aug 1998 20:44:11 GMT
Message-ID: <[email-masked]>
References: <[email-masked]>
X-Newsreader: trn 4.0-test63 (15 March 1998)

In article <[email-masked]>,
ChadyS <[email-masked]> wrote:
>I have recently started working with the b19.1 version of the cygwin32 tools,
>and I am very much interested in using the symbolic link capability.  I have
>found a problem using symbolic links across filesystems.
>
>Here is the setup:
>directory	d:/da/db
>directory	c:/ca
>
>ln -s d:/da/db c:/ca/cb
>
>If you are in /ca, you can cd to cb without problems.
>
>You can't, however, cd to /ca/cb.  The problem is realpath shows the following
>path for /ca/cb:	/ca/d:/da/db

Use the cygwin nomenclature for referencing disks devices:

ln -s //d/da/db //c/ca/cb
-- 
[email-masked]             "Everything has a boolean value, if you stand
http://www.cygnus.com/      far enough away from it."  -- Galena Alyson Canada